/***
   This file is part of fly-ocr.

   Copyright (C) 2016-2020 Sandro Mani <manisandro@gmail.com>
   Copyright (C) 2021 LLC "RusBITech-Astra" (https://astralinux.ru)

    Based on gImageReader source code by Sandro Mani under the GNU
    General Public License (GPL) version 3 or later

   Foobar is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Foobar is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with fly-ocr. If not, see <https://www.gnu.org/licenses/>.
***/

#ifndef CRASHHANDLER_H
#define CRASHHANDLER_H

#include "ui_crashhandler.h"
#include <QProcess>

class CrashHandler : public QDialog
{
    Q_OBJECT

public:
    explicit CrashHandler(int pid, int tesseractCrash, const QString& savefile, QWidget* parent = nullptr);

private:
    Ui::CrashHandler ui;
    int m_pid;
    QProcess m_gdbProcess;
    QPushButton* m_refreshButton = nullptr;

    void closeEvent(QCloseEvent*) override;

private slots:
    void appendGdbOutput();
    void handleGdbFinished(int exitCode, QProcess::ExitStatus exitStatus);
    void regenerateBacktrace();
};

#endif // CRASHHANDLER_H
