/***
   This file is part of fly-ocr.

   Copyright (C) 2016-2020 Sandro Mani <manisandro@gmail.com>
   Copyright (C) 2021 LLC "RusBITech-Astra" (https://astralinux.ru)

    Based on gImageReader source code by Sandro Mani under the GNU
    General Public License (GPL) version 3 or later

   Foobar is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Foobar is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with fly-ocr. If not, see <https://www.gnu.org/licenses/>.
***/

#ifndef HOCREXPORTER_H
#define HOCREXPORTER_H

#include <QObject>

class HOCRDocument;

class HOCRExporter : public QObject
{
public:
    struct ExporterSettings {
        virtual ~ExporterSettings() = default;
    };

    virtual ~HOCRExporter() = default;
    virtual bool run(const HOCRDocument* hocrdocument, const QString& outputname, const ExporterSettings* settings = nullptr) = 0;
};

#endif // HOCREXPORTER_H
