/***
   This file is part of fly-ocr.

   Copyright (C) 2016-2020 Sandro Mani <manisandro@gmail.com>
   Copyright (C) 2021 LLC "RusBITech-Astra" (https://astralinux.ru)

    Based on gImageReader source code by Sandro Mani under the GNU
    General Public License (GPL) version 3 or later

   Foobar is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Foobar is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with fly-ocr. If not, see <https://www.gnu.org/licenses/>.
***/

#ifndef HOCRSPELLCHECKER_H
#define HOCRSPELLCHECKER_H

#include <QtSpell.hpp>

class HOCRSpellChecker : public QtSpell::Checker
{
public:

    using QtSpell::Checker::Checker;

    bool checkSpelling(const QString& word, QStringList* suggestions = nullptr, int limit = -1) const;

    // Unused interface, no-op
    void checkSpelling(int /*start*/ = 0, int /*end*/ = -1) override { }
    QString getWord(int /*pos*/, int* /*start*/ = nullptr, int* /*end*/ = nullptr) const override { return QString(); }
    void insertWord(int /*start*/, int /*end*/, const QString& /*word*/) override { }
    bool isAttached() const override { return true; }

private:
    void generateCombinations(const QList<QList<QString>>& lists, QList<QList<QString>>& results, int depth, const QList<QString>& c) const;
};

#endif // HOCRSPELLCHECKER_H
