/***
   This file is part of fly-ocr.

   Copyright (C) 2016-2020 Sandro Mani <manisandro@gmail.com>
   Copyright (C) 2021 LLC "RusBITech-Astra" (https://astralinux.ru)

    Based on gImageReader source code by Sandro Mani under the GNU
    General Public License (GPL) version 3 or later

   Foobar is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Foobar is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with fly-ocr. If not, see <https://www.gnu.org/licenses/>.
***/

#ifndef LANGTABLES_H
#define LANGTABLES_H

namespace LangTables
{

template<class Container>
Container languageCultures()
{
    return Container{
        {"af", "af_ZA"},
        {"ar", "ar_AE"},
        {"ar", "ar_BH"},
        {"ar", "ar_DZ"},
        {"ar", "ar_EG"},
        {"ar", "ar_IQ"},
        {"ar", "ar_JO"},
        {"ar", "ar_KW"},
        {"ar", "ar_LB"},
        {"ar", "ar_LY"},
        {"ar", "ar_MA"},
        {"ar", "ar_OM"},
        {"ar", "ar_QA"},
        {"ar", "ar_SA"},
        {"ar", "ar_SY"},
        {"ar", "ar_TN"},
        {"ar", "ar_YE"},
        {"az", "az_AZ"},
        {"az", "az_AZ"},
        {"be", "be_BY"},
        {"bg", "bg_BG"},
        {"br", "br_FR"},
        {"ca", "ca_ES"},
        {"co", "co_FR"},
        {"co", "co_IT"},
        {"cs", "cs_CZ"},
        {"da", "da_DK"},
        {"de", "de_AT"},
        {"de", "de_CH"},
        {"de", "de_DE"},
        {"de", "de_LI"},
        {"de", "de_LU"},
        {"div", "div_MV"},
        {"dv", "dv_MV"},
        {"el", "el_GR"},
        {"en", "en_AU"},
        {"en", "en_BZ"},
        {"en", "en_CA"},
        {"en", "en_CB"},
        {"en", "en_GB"},
        {"en", "en_IE"},
        {"en", "en_JM"},
        {"en", "en_NZ"},
        {"en", "en_PH"},
        {"en", "en_TT"},
        {"en", "en_US"},
        {"en", "en_ZA"},
        {"en", "en_ZW"},
        {"es", "es_AR"},
        {"es", "es_BO"},
        {"es", "es_CL"},
        {"es", "es_CO"},
        {"es", "es_CR"},
        {"es", "es_DO"},
        {"es", "es_EC"},
        {"es", "es_ES"},
        {"es", "es_GT"},
        {"es", "es_HN"},
        {"es", "es_MX"},
        {"es", "es_NI"},
        {"es", "es_PA"},
        {"es", "es_PE"},
        {"es", "es_PR"},
        {"es", "es_PY"},
        {"es", "es_SV"},
        {"es", "es_UY"},
        {"es", "es_VE"},
        {"et", "et_EE"},
        {"eu", "eu_ES"},
        {"fa", "fa_IR"},
        {"fi", "fi_FI"},
        {"fo", "fo_FO"},
        {"fr", "fr_BE"},
        {"fr", "fr_CA"},
        {"fr", "fr_CH"},
        {"fr", "fr_FR"},
        {"fr", "fr_LU"},
        {"fr", "fr_MC"},
        {"fo", "fo_FO"},
        {"fo", "fo_DK"},
        {"fy", "fy_NL"},
        {"gd", "gd_GB"},
        {"gd", "gd_CA"},
        {"gl", "gl_ES"},
        {"gu", "gu_IN"},
        {"he", "he_IL"},
        {"hi", "hi_IN"},
        {"hr", "hr_HR"},
        {"hu", "hu_HU"},
        {"hy", "hy_AM"},
        {"id", "id_ID"},
        {"is", "is_IS"},
        {"it", "it_CH"},
        {"it", "it_IT"},
        {"ja", "ja_JP"},
        {"ka", "ka_GE"},
        {"kk", "kk_KZ"},
        {"kn", "kn_IN"},
        {"kok", "kok_IN"},
        {"ko", "ko_KR"},
        {"ku", "ku_IQ"},
        {"ky", "ky_KZ"},
        {"lb", "lb_LU"},
        {"lt", "lt_LT"},
        {"lv", "lv_LV"},
        {"mi", "mi_NZ"},
        {"mk", "mk_MK"},
        {"mn", "mn_MN"},
        {"mn", "mn_CN"},
        {"mr", "mr_IN"},
        {"ms", "ms_BN"},
        {"ms", "ms_MY"},
        {"nb", "nb_NO"},
        {"nl", "nl_BE"},
        {"nl", "nl_NL"},
        {"nn", "nn_NO"},
        {"oc", "oc_ES"},
        {"pa", "pa_IN"},
        {"pl", "pl_PL"},
        {"pt", "pt_BR"},
        {"pt", "pt_PT"},
        {"qu", "qu_PE"},
        {"ro", "ro_RO"},
        {"ru", "ru_RU"},
        {"sa", "sa_IN"},
        {"sd", "sd_PK"},
        {"sd", "sd_IN"},
        {"sk", "sk_SK"},
        {"sl", "sl_SI"},
        {"sq", "sq_AL"},
        {"sr", "sr_SP"},
        {"sr", "sr_SP"},
        {"su", "su_ID"},
        {"sv", "sv_FI"},
        {"sv", "sv_SE"},
        {"sw", "sw_KE"},
        {"syr", "syr_SY"},
        {"ta", "ta_IN"},
        {"te", "te_IN"},
        {"th", "th_TH"},
        {"to", "to_TO"},
        {"tr", "tr_TR"},
        {"tt", "tt_RU"},
        {"uk", "uk_UA"},
        {"ur", "ur_PK"},
        {"uz", "uz_UZ"},
        {"uz", "uz_UZ"},
        {"vi", "vi_VN"},
        {"yo", "yo_NR"},
        {"zh", "zh_CHS"},
        {"zh", "zh_CHT"},
        {"zh", "zh_CN"},
        {"zh", "zh_HK"},
        {"zh", "zh_MO"},
        {"zh", "zh_SG"},
        {"zh", "zh_TW"},
    };
}

}

#endif // LANGTABLES_H
